Page MenuHomePhabricator

TypeError thrown and prevented citation of any website which contained multiple dublinCore identifiers, multiple bePress dois, or multiple highwirePress dois
Closed, ResolvedPublic1 Story Points

Description

unable to make citation for http://apps.who.int/iris/handle/10665/70863

Bug "TypeError: metadata.dublinCore.identifier.match is not a function' causing error :/

Details

Related Gerrit Patches:
mediawiki/services/citoid : masterFix TypeError bug & add ids from Arrays

Event Timeline

Mvolz created this task.Feb 3 2018, 8:50 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptFeb 3 2018, 8:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mvolz claimed this task.Feb 3 2018, 9:34 AM
Mvolz triaged this task as High priority.
Mvolz updated the task description. (Show Details)

Change 407895 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/services/citoid@master] Fix TypeError bug

https://gerrit.wikimedia.org/r/407895

Mvolz raised the priority of this task from High to Unbreak Now!.Feb 3 2018, 10:25 AM
Restricted Application added subscribers: Liuxinyu970226, Jay8g, TerraCodes. · View Herald TranscriptFeb 3 2018, 10:25 AM

Change 407895 merged by Mobrovac:
[mediawiki/services/citoid@master] Fix TypeError bug & add ids from Arrays

https://gerrit.wikimedia.org/r/407895

Mentioned in SAL (#wikimedia-operations) [2018-02-05T23:04:27Z] <mobrovac@tin> Started deploy [citoid/deploy@7bbc583]: Fix TypeError bug - T186395

Mentioned in SAL (#wikimedia-operations) [2018-02-05T23:07:55Z] <mobrovac@tin> Finished deploy [citoid/deploy@7bbc583]: Fix TypeError bug - T186395 (duration: 03m 29s)

mobrovac closed this task as Resolved.Feb 5 2018, 11:09 PM
mobrovac edited projects, added Services (done); removed Patch-For-Review.
mobrovac added a subscriber: mobrovac.

Fix merged and deployed. Resolving.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptFeb 5 2018, 11:09 PM
Jdforrester-WMF set the point value for this task to 1.Feb 6 2018, 9:56 PM
Mvolz renamed this task from unable to make citation for http://apps.who.int/iris/handle/10665/70863 to TypeError thrown and prevented citation of any website which contained multiple dublinCore identifiers, multiple bePress dois, or multiple highwirePress dois.Feb 7 2018, 10:47 AM
Mvolz updated the task description. (Show Details)